coinor-libipopt1v5_3.11.9-2.1ubuntu0.18.04.1_amd64.deb


Advertisement

Description

coinor-libipopt1v5 - Interior-Point Optimizer, for large-scale nonlinear optimization

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename coinor-libipopt1v5_3.11.9-2.1ubuntu0.18.04.1_amd64.deb
Package name coinor-libipopt1v5
Package version 3.11.9
Package release 2.1ubuntu0.18.04.1
Package architecture amd64
Package type deb
Category universe/libs
Homepage https://projects.coin-or.org/Ipopt
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 594.46 KB
Installed size 2.42 MB
Ipopt is an open-source solver for large-scale nonlinear continuous
optimization. It can be used from modeling environments, such as AMPL,
GAMS, or Matlab, and it is also available as a callable library with
interfaces to C++, C, and Fortran. Ipopt uses an interior point method,
together with a filter linear search procedure. Ipopt is part of the
larger COIN-OR initiative (Computational Infrastructure for Operations
Research).
The Debian package is compiled against MUMPS (as it is the only one of
the available solvers that is Free Software and included in Debian).
This package contains the library.

Alternatives

Package Version Architecture Repository
coinor-libipopt1v5_3.11.9-2.1ubuntu0.18.04.1_i386.deb 3.11.9 i386 Ubuntu Updates Universe
coinor-libipopt1v5_3.11.9-2.1build3_i386.deb 3.11.9 i386 Ubuntu Universe
coinor-libipopt1v5_3.11.9-2.1build3_amd64.deb 3.11.9 amd64 Ubuntu Universe
coinor-libipopt1v5 - - -

Requires

Name Value
libblas.so.3 -
libblas3 -
libc6 >= 2.14
libgcc1 >= 1:3.0
liblapack.so.3 -
liblapack3 -
libmumps-seq-5.1.2 -
libstdc++6 >= 5.2

Conflicts

Name Value
coinor-libipopt1 -

Replaces

Name Value
coinor-libipopt1 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package coinor-libipopt1v5_3.11.9-2.1ubuntu0.18.04.1_amd64.deb
Source Package coinor-ipopt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install coinor-libipopt1v5 deb package:
    # sudo apt-get install coinor-libipopt1v5

Files

Path
/usr/lib/libipopt.so.1
/usr/lib/libipopt.so.1.9.9
/usr/share/doc/coinor-libipopt1v5/README
/usr/share/doc/coinor-libipopt1v5/README.Debian
/usr/share/doc/coinor-libipopt1v5/changelog.Debian.gz
/usr/share/doc/coinor-libipopt1v5/copyright
/usr/share/lintian/overrides/coinor-libipopt1v5

Changelog

2019-06-18 - Graham Inggs <ginggs@ubuntu.com>
coinor-ipopt (3.11.9-2.1ubuntu0.18.04.1) bionic; urgency=medium
* Backport fix from 3.11.9-2.2 in Eoan (LP: #1833037)
- Avoid use of uninitialized memory (Closes: #930577)
2017-12-20 - Gianfranco Costamagna <locutusofborg@debian.org>
coinor-ipopt (3.11.9-2.1build3) bionic; urgency=medium
* Rebuild against new libmumps-5.1.2.
2017-12-19 - Gianfranco Costamagna <locutusofborg@debian.org>
coinor-ipopt (3.11.9-2.1build2) bionic; urgency=medium
* Rebuild against new libmumps-5.1.2.
2017-07-17 - Gianfranco Costamagna <locutusofborg@debian.org>
coinor-ipopt (3.11.9-2.1build1) artful; urgency=medium
* Rebuild against new libmumps-5.1.1.
2015-08-30 - Simon McVittie <smcv@debian.org>
coinor-ipopt (3.11.9-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Incorporate library rename, from Ubuntu (Closes: #791007)
[ Steve Langasek ]
* Rename library packages for g++5 ABI transition.
2014-10-01 - Greg Horn <gregmainland@gmail.com>
coinor-ipopt (3.11.9-2) unstable; urgency=low
* Link against sequential MUMPS instead of parallel (Closes: #763621)
* Enable unit tests
2014-08-27 - Greg Horn <gregmainland@gmail.com>
coinor-ipopt (3.11.9-1) unstable; urgency=low
* New upstream release (Closes: #745612)
* Use MPI_Initialized (retires mpi_init.patch)
2014-03-10 - Roberto C. Sanchez <roberto@connexer.com>
coinor-ipopt (3.11.7-2) unstable; urgency=low
* Also do not call MPI_Finalize() from within library. (Closes: #736842)
+ Update patch mpi-init.patch (Thanks to Ansgar Burchardt)
2014-03-08 - Roberto C. Sanchez <roberto@connexer.com>
coinor-ipopt (3.11.7-1) unstable; urgency=low
* New upstream release
* Bump standards version to 3.9.5 (no changes required)
* Do not call MPI_Init() from within library; applications are responsible
for this.  Thanks to Ansgar Burchardt for the patch.  (Closes: #736842)
2013-09-21 - Roberto C. Sanchez <roberto@connexer.com>
coinor-ipopt (3.11.4-1) unstable; urgency=low
* New upstream release
* Acknowledge NMU, thanks to Etienne Millon
* Bump standards version to 3.9.4 (no changes required)
* Add -DHAVE_CSTDDEF to pkg-config file (Closes: #684062)
* Add dependency upon libmumps-dev for development package (Closes: #711939)

See Also

Package Description
collectd-core_5.7.2-2ubuntu1.1_amd64.deb statistics collection and monitoring daemon (core system)
collectd-dev_5.7.2-2ubuntu1.1_all.deb statistics collection and monitoring daemon (development files)
collectd-utils_5.7.2-2ubuntu1.1_amd64.deb statistics collection and monitoring daemon (utilities)
collectd_5.7.2-2ubuntu1.1_amd64.deb statistics collection and monitoring daemon
console-setup-mini_1.178ubuntu2.9_all.deb console font and keymap setup program - reduced version for Linux
containerd_1.2.6-0ubuntu1~18.04.2_amd64.deb daemon to control runC
corosync-notifyd_2.4.3-0ubuntu1.1_amd64.deb cluster engine notification daemon
corosync-qdevice_2.4.3-0ubuntu1.1_amd64.deb cluster engine quorum device daemon
corosync-qnetd_2.4.3-0ubuntu1.1_amd64.deb cluster engine quorum device network daemon
coturn_4.5.0.7-1ubuntu2.18.04.1_amd64.deb TURN and STUN server for VoIP
courier-authdaemon_0.68.0-4ubuntu0.1_amd64.deb Courier authentication daemon
courier-authlib-dev_0.68.0-4ubuntu0.1_amd64.deb Development libraries for the Courier authentication library
courier-authlib-ldap_0.68.0-4ubuntu0.1_amd64.deb LDAP support for the Courier authentication library
courier-authlib-mysql_0.68.0-4ubuntu0.1_amd64.deb MySQL support for the Courier authentication library
courier-authlib-pipe_0.68.0-4ubuntu0.1_amd64.deb External authentication support for the Courier authentication library
Advertisement
Advertisement